@echo off

set Arr[0]=UAGRDEV
set Arr[1]=UASRDEV
set Arr[2]=Aero
set Arr[3]=AirportPortalAPM
set Arr[4]=GateReader
set Arr[5]=InfoConnect
set Arr[6]=Jet
set Arr[7]=PassportReaderCommonUse
set Arr[8]=QSS
set Arr[9]=StationManager
set Arr[10]=utils

set "x=0"

:SymLoop
if defined Arr[%x%] (
    call mklink /j %%Arr[%x%]%% "C:\virtual_drives\common\%%Arr[%x%]%%"
    set /a "x+=1"
    goto  :SymLoop
)
